%define anolis_release 5
%global _hardened_build 1

Summary: Network diagnostic tool combining 'traceroute' and 'ping'
Name:    mtr
Version: 0.95
Release: %{anolis_release}%{?dist}
Epoch:   2
License: GPLv2
URL:     https://www.bitwizard.nl/mtr/
Source0: https://github.com/traviscross/mtr/archive/refs/tags/v%{version}.tar.gz
Source1: net-x%{name}.desktop

Patch1:  1-bugfix-for-CVE-2025-49809.patch
BuildRequires: gcc make ncurses-devel libcap-devel jansson-devel
BuildRequires: autoconf automake libtool git

%description
MTR combines the functionality of the 'traceroute' and 'ping' programs
in a single network diagnostic tool.

When MTR is started, it investigates the network connection between the
host MTR runs on and the user-specified destination host. Afterwards it
determines the address of each network hop between the machines and sends
a sequence of ICMP echo requests to each one to determine the quality of
the link to each machine. While doing this, it prints running statistics
about each machine.

MTR provides two user interfaces: an ncurses interface, useful for the
command line, e.g. for SSH sessions; and a GTK interface for X (provided
in the mtr-gtk package).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package gtk
Summary:       GTK interface for MTR
Requires:      %{name} = %{epoch}:%{version}-%{release}
BuildRequires: gtk3-devel desktop-file-utils

%description gtk
MTR combines the functionality of the 'traceroute' and 'ping' programs
in a single network diagnostic tool. The mtr-gtk package provides the
GTK interface for MTR.

When MTR is started, it investigates the network connection between the
host MTR runs on and the user-specified destination host. Afterwards it
determines the address of each network hop between the machines and sends
a sequence of ICMP echo requests to each one to determine the quality of
the link to each machine. While doing this, it prints running statistics
about each machine.

%prep
%setup -q
%patch -P 1 -p1

%build
./bootstrap.sh
%configure --with-gtk
%make_build && mv -f mtr xmtr && make distclean
%configure --without-gtk
%make_build

%install
%make_install
install -D -p -m 0755 xmtr %{buildroot}%{_bindir}/xmtr
install -D -p -m 0644 img/mtr_icon.xpm %{buildroot}%{_datadir}/pixmaps/mtr_icon.xpm
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_sbindir}/%{name}
%attr(0755,root,root) %caps(cap_net_raw=pe) %{_sbindir}/%{name}-packet
%{abidir}/%{name}*-option.list
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}-packet.8*
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/%{name}

%files doc
%doc AUTHORS FORMATS NEWS README.md SECURITY

%files gtk
%{_bindir}/xmtr
%{abidir}/xmtr-option.list
%{_datadir}/pixmaps/mtr_icon.xpm
%{_datadir}/applications/net-x%{name}.desktop

%changelog
* Tue Jul 08 2025 tomcruiseqi <tomcruiseqi@inspur.com> - 0.95-5
- Fix CVE-2025-49809

* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 0.95-4
- Rebuild for remove inappropriate build dependencies.

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:0.95-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:0.95-2
- add doc package

* Mon Apr 18 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2:0.95-1
- Init package from upstream v0.95
